import {createRouter, createWebHashHistory} from "vue-router"

const routes = [
  {
    path: "/",
    name: "home",
    component: () => import("@/views/Home"),
  },
  {
    path: "/userInfo",
    name: "userInfo",
    component: () => import("@/views/UserInfo"),
  },
  {
    path: "/:pathMatch(.*)*",
    name: "error",
    component: () => import("@/views/Error"),
  },
]

export default createRouter({
  routes,
  history: createWebHashHistory()
})
